## FolksAvatarDetails

FolksAvatarDetails — Avatar for a contact.

## Functions

void | folks_avatar_details_change_avatar ()
void | folks_avatar_details_change_avatar_finish ()
GLoadableIcon * | folks_avatar_details_get_avatar ()
void | folks_avatar_details_set_avatar ()

## Types and Values

| FolksAvatarDetails
struct | FolksAvatarDetailsIface

## Description

This allows avatars to be associated with contacts. An avatar is a small image file which represents the contact, such as a photo of them.

## Functions

### folks_avatar_details_change_avatar ()

    void
    folks_avatar_details_change_avatar (FolksAvatarDetails *self,
                                        GLoadableIcon *avatar,
                                        GAsyncReadyCallback _callback_,
                                        gpointer _user_data_);

Change the contact's avatar.

It's preferred to call this rather than setting "avatar" directly, as this method gives error notification and will only return once the avatar has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the avatar failed

See also: `folks_avatar_details_change_avatar_finish()`

#### Parameters

self | the FolksAvatarDetails instance |
avatar | . the new avatar (or `null` to unset the avatar) . | [in][allow-none]
_callback_ | callback to call when the request is satisfied. | [scope async]
_user_data_ | the data to pass to `_callback_` function. | [closure]

Since: 0.6.2

### folks_avatar_details_change_avatar_finish ()

    void
    folks_avatar_details_change_avatar_finish
                                   (FolksAvatarDetails *self,
                                    GAsyncResult *_res_,
                                    GError **error);

Change the contact's avatar.

It's preferred to call this rather than setting "avatar" directly, as this method gives error notification and will only return once the avatar has been written to the relevant backing store (or the operation's failed).

FolksPropertyError will be returned in `error`

if setting the avatar failed

See also: `folks_avatar_details_change_avatar()`

#### Parameters

self | the FolksAvatarDetails instance |
_res_ | a GAsyncResult |
error | location to store the error occurring, or `NULL` to ignore. | [error-domains FolksPropertyError]

Since: 0.6.2

### folks_avatar_details_get_avatar ()

    GLoadableIcon *
    folks_avatar_details_get_avatar (FolksAvatarDetails *self);

Get and return the current value of the "avatar" property.

An avatar for the contact.

The avatar may be `null` if unset. Otherwise, the image data may be asynchronously loaded using the methods of the GLoadableIcon implementation.

#### Parameters

self | the FolksAvatarDetails instance to query |

#### Returns

the value of the "avatar" property

Since: 0.6.0

### folks_avatar_details_set_avatar ()

    void
    folks_avatar_details_set_avatar (FolksAvatarDetails *self,
                                     GLoadableIcon *value);

Set the value of the "avatar" property to `value` .

An avatar for the contact.

The avatar may be `null` if unset. Otherwise, the image data may be asynchronously loaded using the methods of the GLoadableIcon implementation.

#### Parameters

self | the FolksAvatarDetails instance to modify |
value | the new value of the "avatar" property |

Since: 0.6.0

## Types and Values

### FolksAvatarDetails

    typedef struct _FolksAvatarDetails FolksAvatarDetails;

Avatar for a contact.

This allows avatars to be associated with contacts. An avatar is a small image file which represents the contact, such as a photo of them.

Since: 0.6.0

### struct FolksAvatarDetailsIface

    struct FolksAvatarDetailsIface {
    	GTypeInterface parent_iface;
    	void (*change_avatar) (FolksAvatarDetails* self, GLoadableIcon* avatar, GAsyncReadyCallback _callback_, gpointer _user_data_);
    	void (*change_avatar_finish) (FolksAvatarDetails* self, GAsyncResult* _res_, GError** error);
    	GLoadableIcon* (*get_avatar) (FolksAvatarDetails* self);
    	void (*set_avatar) (FolksAvatarDetails* self, GLoadableIcon* value);
    };

Interface for creating FolksAvatarDetails implementations.

#### Members

GTypeInterface `parent_iface`; | the parent interface structure |
`change_avatar` () | virtual method called by `folks_avatar_details_change_avatar()` |
`change_avatar_finish` () | asynchronous finish function for `change_avatar`, called by `folks_avatar_details_change_avatar()` |
`get_avatar` () | getter method for the abstract property "avatar" |
`set_avatar` () | setter method for the abstract property "avatar" |